#ifndef WRESOURCE_TEST_OBJECT
#define WRESOURCE_TEST_OBJECT

#include <Wt/WResource.h>

class WebResourceWidget : public Wt::WResource {

public:
    WebResourceWidget(void);
    WebResourceWidget(std::string const &);
    WebResourceWidget(WebResourceWidget const&) = delete;
    WebResourceWidget(WebResourceWidget&&) = delete;
    WebResourceWidget& operator=(WebResourceWidget const&) = delete;
    WebResourceWidget& operator=(WebResourceWidget&&) = delete;
    virtual ~WebResourceWidget(void);

    std::string GetResourceUrl(std::string const & = "");
    void handleRequest(Wt::Http::Request const&, Wt::Http::Response&) override;
    void SetUrl(std::string const &);

private:
    unsigned short dWebFormNo;
    std::string    dUrl;

};


#endif
